%define Werror_cflags %nil

Name:		inkscape
Summary:	A vector-based drawing program using SVG
Version:	0.48.4
Release:	%mkrel 4
License:	GPLv2+
Group:		Graphics/Editors and Converters
URL:		http://inkscape.sourceforge.net/
Source:		http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Patch2:		fix-build-with-gc7.diff
Patch3:		inkscape-0.48.4-automake-1.13.patch
BuildRequires: pkgconfig(cairo) > 1.7.6
BuildRequires: pkgconfig(cairo-pdf)
BuildRequires: pkgconfig(cairo-svg)
BuildRequires: pkgconfig(gdkmm-2.4)
BuildRequires: pkgconfig(giomm-2.4)
BuildRequires: pkgconfig(glibmm-2.4) >= 2.28
BuildRequires: pkgconfig(gnome-vfs-2.0) >= 2.0
BuildRequires: pkgconfig(gsl)
BuildRequires: pkgconfig(gthread-2.0) >= 2.0
BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: pkgconfig(gtkmm-2.4) >= 2.10.0
BuildRequires: pkgconfig(gtkspell-2.0)
BuildRequires: pkgconfig(ImageMagick++)
BuildRequires: pkgconfig(lcms2)
BuildRequires: pkgconfig(libpng) >= 1.2
BuildRequires: pkgconfig(libwpd-0.9)
BuildRequires: pkgconfig(libwpd-stream-0.9)
BuildRequires: pkgconfig(libwpg-0.2)
BuildRequires: pkgconfig(libxml-2.0) >= 2.6.11
BuildRequires: pkgconfig(libxslt) >= 1.0.15
BuildRequires: pkgconfig(poppler) >= 0.5.9
BuildRequires: pkgconfig(poppler-cairo) >= 0.5.9
BuildRequires: pkgconfig(poppler-glib) >= 0.5.9
BuildRequires: pkgconfig(sigc++-2.0) >= 2.0.12
BuildRequires:	boost-devel
BuildRequires:	libgc-devel >= 6.4
BuildRequires:	perl-XML-Parser
BuildRequires:	python-devel
BuildRequires:	perl
BuildRequires:	perl-devel
BuildRequires:	popt-devel
BuildRequires:	desktop-file-utils
BuildRequires:	intltool gettext-devel
Requires:	python-pyxml
Requires:	python-lxml
Suggests:	uniconvertor

%description
Inkscape is a generic SVG-based vector-drawing program.

Inkscape uses the W3C SVG (= "Scalable Vector Graphics") standard as its
native file format. Therefore, it is a very useful tool for web designers
and can be used as an interchange format for desktop publishing.

%prep
%setup -q -n %name-%version
%patch2 -p1
%patch3 -p1 -b .automake-1_13

%build
export CXXFLAGS="%optflags -fpermissive"
autoreconf -fi
%configure2_5x \
	--with-python \
	--with-perl
%make

%install
%makeinstall_std

desktop-file-install --vendor="" \
  --add-category="Graphics;2DGraphics" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/inkscape
%{_mandir}/man1/*
%{_mandir}/*/man1/*
%{_iconsdir}/hicolor/*/apps/*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.48.4-4.mga3
+ Revision: 354405
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Editors -> Graphics/Editors and Converters

* Sun Dec 30 2012 fwang <fwang> 0.48.4-3.mga3
+ Revision: 336405
- rebuild for new poppler

* Sun Dec 30 2012 cjw <cjw> 0.48.4-2.mga3
+ Revision: 336338
- patch3: fix build with automake 1.13

* Tue Dec 18 2012 fwang <fwang> 0.48.4-1.mga3
+ Revision: 332409
- build with permissive
- br popt
- apply gc patch
- new version 0.48.4

* Fri Dec 14 2012 fwang <fwang> 0.48.3.1-8.mga3
+ Revision: 330773
- rebuild for new imagemagick

* Mon Nov 12 2012 fwang <fwang> 0.48.3.1-7.mga3
+ Revision: 317123
- rebuild for new poppler

* Fri Oct 12 2012 fwang <fwang> 0.48.3.1-6.mga3
+ Revision: 305129
- rebuild for new imagemagick

* Wed Oct 10 2012 tv <tv> 0.48.3.1-5.mga3
+ Revision: 304196
- fix group
- rebuild with new poppler

* Tue Sep 11 2012 fwang <fwang> 0.48.3.1-4.mga3
+ Revision: 292156
- rebuild for new poppler
- fix category

* Sat Sep 01 2012 fwang <fwang> 0.48.3.1-3.mga3
+ Revision: 286943
- br gettext
- build with -fpermissive

  + tv <tv>
    - patch 2: fix build with GC7
    - BR libgc-devel
    - rebuild for new poppler

* Wed Jun 13 2012 fwang <fwang> 0.48.3.1-2.mga3
+ Revision: 260267
- more pathc
- add inkscape patch to build with latest inkscape
- rebuild for new poppler

* Sun Feb 19 2012 fwang <fwang> 0.48.3.1-1.mga2
+ Revision: 210729
- new version 0.48.3.1

* Thu Feb 16 2012 fwang <fwang> 0.48.3-1.mga2
+ Revision: 209449
- new version 0.48.3

* Sun Feb 05 2012 doktor5000 <doktor5000> 0.48.2-6.mga2
+ Revision: 204729
- added Suggests on uniconvertor (mga#3545)

* Fri Oct 28 2011 fwang <fwang> 0.48.2-5.mga2
+ Revision: 159057
- more revert
- revert some changes
- more fix
- more patch
- more patch
- revert some changes
- include glib.h only
- only include glib header
- rebuild for new poppler

* Tue Sep 27 2011 ovitters <ovitters> 0.48.2-4.mga2
+ Revision: 149383
- rebuild for new poppler

* Tue Sep 13 2011 fwang <fwang> 0.48.2-3.mga2
+ Revision: 142817
- rebuild for new imagemagick

* Mon Sep 12 2011 fwang <fwang> 0.48.2-2.mga2
+ Revision: 142637
- fix build with libpng15
- rebuild for new libpng

  + ahmad <ahmad>
    - Change libpoppler-*-devel BR to pkgconfig style

* Sat Jul 09 2011 fwang <fwang> 0.48.2-1.mga2
+ Revision: 121078
- new version 0.48.2

* Sun Mar 27 2011 ahmad <ahmad> 0.48.1-2.mga1
+ Revision: 78072
- rebuild for new poppler

* Thu Feb 10 2011 dmorgan <dmorgan> 0.48.1-1.mga1
+ Revision: 49759
- Remove mdv macros
- imported package inkscape

